Bug 1306150 - CVE-2016-2317 CVE-2016-2318 GraphicsMagick: SVG parsing issues [epel-all]
CVE-2016-2317 CVE-2016-2318 GraphicsMagick: SVG parsing issues [epel-all]
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: GraphicsMagick (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2317/CVE-2016-2318
  Show dependency treegraph
 
Reported: 2016-02-10 03:06 EST by Martin Prpič
Modified: 2016-06-18 11:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: GraphicsMagick-1.3.23-4.el6 GraphicsMagick-1.3.24-1.el6 GraphicsMagick-1.3.24-1.el5 GraphicsMagick-1.3.24-1.el7
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 14:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-02-10 03:06:26 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.
    
[bug automatically created by: add-tracking-bugs]
Comment 1 Martin Prpič 2016-02-10 03:06:31 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1306148,1306150

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Fedora Update System 2016-02-12 09:05:39 EST
octave-3.4.3-2.el6 gdl-0.9.5-4.el6 GraphicsMagick-1.3.23-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb24bfea0d
Comment 3 Fedora Update System 2016-02-14 22:48:14 EST
GraphicsMagick-1.3.23-4.el6, gdl-0.9.5-4.el6, octave-3.4.3-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-eb24bfea0d
Comment 4 Fedora Update System 2016-02-29 16:25:43 EST
GraphicsMagick-1.3.23-4.el6, gdl-0.9.5-4.el6, octave-3.4.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Rex Dieter 2016-03-04 15:49:56 EST
I think this was closed erroneously
Comment 6 Fedora Update System 2016-05-31 08:56:07 EDT
GraphicsMagick-1.3.24-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-804b7430fd
Comment 7 Fedora Update System 2016-05-31 08:56:15 EDT
GraphicsMagick-1.3.24-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c5dae2a582
Comment 8 Fedora Update System 2016-05-31 08:57:41 EDT
GraphicsMagick-1.3.24-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-81044caedf
Comment 9 Fedora Update System 2016-06-01 10:47:27 EDT
GraphicsMagick-1.3.24-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-81044caedf
Comment 10 Fedora Update System 2016-06-01 10:49:57 EDT
GraphicsMagick-1.3.24-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c5dae2a582
Comment 11 Fedora Update System 2016-06-01 11:17:44 EDT
GraphicsMagick-1.3.24-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-804b7430fd
Comment 12 Fedora Update System 2016-06-17 14:17:17 EDT
GraphicsMagick-1.3.24-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-06-17 18:46:52 EDT
GraphicsMagick-1.3.24-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-06-18 11:47:55 EDT
GraphicsMagick-1.3.24-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.